Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Modify project

client.Admin.Organization.Projects.Update(ctx, projectID, body) (*Project, error)
POST
/organization/projects/{project_id}

Modifies a project in the organization.

Parameters
projectID string
body AdminOrganizationProjectUpdateParams
Returns
type Project struct{…}

Represents an individual project.

ID string

The identifier, which can be referenced in API endpoints

CreatedAt int64

The Unix timestamp (in seconds) of when the project was created.

formatunixtime
Object OrganizationProject

The object type, which is always organization.project

ArchivedAt int64
Optional

The Unix timestamp (in seconds) of when the project was archived or null.

formatunixtime
ExternalKeyID string
Optional

The external key associated with the project.

Name string
Optional

The name of the project. This appears in reporting.

Residency ProjectResidency
Optional

The residency configuration for the project.

Status string
Optional

active or archived

Modify project

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAdminAPIKey("My Admin API Key"),
  )
  project, err := client.Admin.Organization.Projects.Update(
    context.TODO(),
    "project_id",
    openai.AdminOrganizationProjectUpdateParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", project.ID)
}
200 example
{
  "id": "id",
  "created_at": 0,
  "object": "organization.project",
  "archived_at": 0,
  "external_key_id": "external_key_id",
  "name": "name",
  "residency": "GLOBAL",
  "status": "status"
}
Returns Examples
200 example
{
  "id": "id",
  "created_at": 0,
  "object": "organization.project",
  "archived_at": 0,
  "external_key_id": "external_key_id",
  "name": "name",
  "residency": "GLOBAL",
  "status": "status"
}